import java.awt.BorderLayout;
import java.awt.Container;
import javax.swing.JFrame;
import javax.swing.JLabel;

class MouseFrame extends JFrame { 
	private static final long serialVersionUID = 1L;
	public JLabel info; 
	
	public MouseFrame() { 
		setTitle("Demostración del uso de eventos..."); 
		setSize(600,440);
		addWindowListener(new MainWindowListener());
		
		info = new JLabel("Juegue con el ratón"); 
		
		Container contenido = getContentPane();
		contenido.add(info, BorderLayout.SOUTH);
		
		this.addMouseListener(new MiMouseAdapter(this));
		this.addMouseMotionListener(new MiMouseMotionAdapter(this));
	} 
} 